SPA API Tokens
SPA: Updates an API Token
Updates an existing API token. Token value cannot be changed. Requires ROLE_INTEGRATOR or ROLE_ADMIN.
/api/spa/api-tokens/{id}Authorizations
Value for the X-AUTH-TOKEN header parameter.
Path Parameters
ApiToken identifier
Request Body
The updated ApiToken resource
{
"id": 12345,
"identifier": "default",
"description": "Any description",
"token": "Any description",
"createdAt": "2024-08-23T00:00:00+00:00",
"updatedAt": "2024-08-23T00:00:00+00:00",
"active": true,
"activeFrom": "2024-01-01",
"versionGroup": "123e4567-e89b-12d3-a456-426614174000",
"versionNumber": 1,
"supersededAt": "2024-08-23T00:00:00+00:00",
"changeSummaryDe": "string",
"changeSummaryEn": "string",
"summaryStatus": "pending"
}Response
ApiToken resource updated
Identifier generated by Output.Rocks.
Unique identifier
ApiToken description
Token, to be used in API requests to Output.Rocks API
User, created this entry
User, updated this entry
UTC date time of entry creation
UTC date time of last entry update
Active flag. Default: true
Date to activate the entry. Default: today
Immutable lineage key shared by all versions of this configuration entry.
Monotonic version counter within the version group. Display/audit only, not part of resolution.
Moment from which this version is superseded by a newer version of the same version group. Null while the version is (or is scheduled to become) the current one.
AI generated German summary of the changes introduced by this version.
AI generated English summary of the changes introduced by this version.
Generation status of the AI change summary.
SubClient ID. Provided on instances with enabled sub-client module only.
SubClient description. Provided on instances with enabled sub-client module only.
SubClient display colour. Provided on instances with enabled sub-client module only.